diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/tta-ff-mac-scheduler.cc ns-3.44/src/lte/model/tta-ff-mac-scheduler.cc
--- ns-3.43/src/lte/model/tta-ff-mac-scheduler.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/tta-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
@@ -12,11 +12,11 @@
 #include "lte-amc.h"
 #include "lte-vendor-specific-parameters.h"
 
-#include <ns3/boolean.h>
-#include <ns3/log.h>
-#include <ns3/math.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
+#include "ns3/boolean.h"
+#include "ns3/log.h"
+#include "ns3/math.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
 
 #include <cfloat>
 #include <set>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/tta-ff-mac-scheduler.h ns-3.44/src/lte/model/tta-ff-mac-scheduler.h
--- ns-3.43/src/lte/model/tta-ff-mac-scheduler.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/tta-ff-mac-scheduler.h	2025-03-09 16:55:49.607372000 -0700
@@ -17,7 +17,7 @@
 #include "lte-common.h"
 #include "lte-ffr-sap.h"
 
-#include <ns3/nstime.h>
+#include "ns3/nstime.h"
 
 #include <map>
 #include <set>
@@ -27,8 +27,8 @@
 {
 
 /**
- * \ingroup ff-api
- * \brief Implements the SCHED SAP and CSCHED SAP for a Throughput to Average scheduler
+ * @ingroup ff-api
+ * @brief Implements the SCHED SAP and CSCHED SAP for a Throughput to Average scheduler
  *
  * This class implements the interface defined by the FfMacScheduler abstract class
  */
@@ -37,7 +37,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
      * Creates the MAC Scheduler interface implementation
      */
@@ -51,8 +51,8 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -72,9 +72,9 @@
     friend class MemberSchedSapProvider<TtaFfMacScheduler>;
 
     /**
-     * \brief Transmission mode configuration update
-     * \param rnti the RNTI
-     * \param txMode the transmission mode
+     * @brief Transmission mode configuration update
+     * @param rnti the RNTI
+     * @param txMode the transmission mode
      */
     void TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode);
 
@@ -85,32 +85,32 @@
     //
 
     /**
-     * \brief CSched cell config request function
-     * \param params FfMacCschedSapProvider::CschedCellConfigReqParameters
+     * @brief CSched cell config request function
+     * @param params FfMacCschedSapProvider::CschedCellConfigReqParameters
      */
     void DoCschedCellConfigReq(const FfMacCschedSapProvider::CschedCellConfigReqParameters& params);
 
     /**
-     * \brief CSched UE config request function
-     * \param params FfMacCschedSapProvider::CschedUeConfigReqParameters
+     * @brief CSched UE config request function
+     * @param params FfMacCschedSapProvider::CschedUeConfigReqParameters
      */
     void DoCschedUeConfigReq(const FfMacCschedSapProvider::CschedUeConfigReqParameters& params);
 
     /**
-     * \brief CSched LC config request function
-     * \param params FfMacCschedSapProvider::CschedLcConfigReqParameters
+     * @brief CSched LC config request function
+     * @param params FfMacCschedSapProvider::CschedLcConfigReqParameters
      */
     void DoCschedLcConfigReq(const FfMacCschedSapProvider::CschedLcConfigReqParameters& params);
 
     /**
-     * \brief CSched LC release request function
-     * \param params FfMacCschedSapProvider::CschedLcReleaseReqParameters
+     * @brief CSched LC release request function
+     * @param params FfMacCschedSapProvider::CschedLcReleaseReqParameters
      */
     void DoCschedLcReleaseReq(const FfMacCschedSapProvider::CschedLcReleaseReqParameters& params);
 
     /**
-     * \brief CSched UE release request function
-     * \param params FfMacCschedSapProvider::CschedUeReleaseReqParameters
+     * @brief CSched UE release request function
+     * @param params FfMacCschedSapProvider::CschedUeReleaseReqParameters
      */
     void DoCschedUeReleaseReq(const FfMacCschedSapProvider::CschedUeReleaseReqParameters& params);
 
@@ -120,93 +120,93 @@
     //
 
     /**
-     * \brief Sched DL RLC buffer request function
-     * \param params FfMacSchedSapProvider::SchedDlRlcBufferReqParameters
+     * @brief Sched DL RLC buffer request function
+     * @param params FfMacSchedSapProvider::SchedDlRlcBufferReqParameters
      */
     void DoSchedDlRlcBufferReq(const FfMacSchedSapProvider::SchedDlRlcBufferReqParameters& params);
 
     /**
-     * \brief Sched DL paging buffer request function
-     * \param params FfMacCschedSapProvider::SchedDlPagingBufferReqParameters
+     * @brief Sched DL paging buffer request function
+     * @param params FfMacCschedSapProvider::SchedDlPagingBufferReqParameters
      */
     void DoSchedDlPagingBufferReq(
         const FfMacSchedSapProvider::SchedDlPagingBufferReqParameters& params);
 
     /**
-     * \brief Sched DL MAC buffer request function
-     * \param params FfMacCschedSapProvider::SchedDlMacBufferReqParameters
+     * @brief Sched DL MAC buffer request function
+     * @param params FfMacCschedSapProvider::SchedDlMacBufferReqParameters
      */
     void DoSchedDlMacBufferReq(const FfMacSchedSapProvider::SchedDlMacBufferReqParameters& params);
 
     /**
-     * \brief Sched DL trigger request function
-     * \param params FfMacCschedSapProvider::SchedDlTriggerReqParameters
+     * @brief Sched DL trigger request function
+     * @param params FfMacCschedSapProvider::SchedDlTriggerReqParameters
      */
     void DoSchedDlTriggerReq(const FfMacSchedSapProvider::SchedDlTriggerReqParameters& params);
 
     /**
-     * \brief Sched DL RACH info request function
-     * \param params FfMacCschedSapProvider::SchedDlRachInfoReqParameters
+     * @brief Sched DL RACH info request function
+     * @param params FfMacCschedSapProvider::SchedDlRachInfoReqParameters
      */
     void DoSchedDlRachInfoReq(const FfMacSchedSapProvider::SchedDlRachInfoReqParameters& params);
 
     /**
-     * \brief Sched DL CQI info request function
-     * \param params FfMacCschedSapProvider::SchedDlCqiInfoReqParameters
+     * @brief Sched DL CQI info request function
+     * @param params FfMacCschedSapProvider::SchedDlCqiInfoReqParameters
      */
     void DoSchedDlCqiInfoReq(const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params);
 
     /**
-     * \brief Sched UL trigger request function
-     * \param params FfMacCschedSapProvider::SchedUlTriggerReqParameters
+     * @brief Sched UL trigger request function
+     * @param params FfMacCschedSapProvider::SchedUlTriggerReqParameters
      */
     void DoSchedUlTriggerReq(const FfMacSchedSapProvider::SchedUlTriggerReqParameters& params);
 
     /**
-     * \brief Sched UL noise interference request function
-     * \param params FfMacCschedSapProvider::SchedUlNoiseInterferenceReqParameters
+     * @brief Sched UL noise interference request function
+     * @param params FfMacCschedSapProvider::SchedUlNoiseInterferenceReqParameters
      */
     void DoSchedUlNoiseInterferenceReq(
         const FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters& params);
 
     /**
-     * \brief Sched UL SR info request function
-     * \param params FfMacCschedSapProvider::SchedUlSrInfoReqParameters
+     * @brief Sched UL SR info request function
+     * @param params FfMacCschedSapProvider::SchedUlSrInfoReqParameters
      */
     void DoSchedUlSrInfoReq(const FfMacSchedSapProvider::SchedUlSrInfoReqParameters& params);
 
     /**
-     * \brief Sched UL MAC control info request function
-     * \param params FfMacCschedSapProvider::SchedUlMacCtrlInfoReqParameters
+     * @brief Sched UL MAC control info request function
+     * @param params FfMacCschedSapProvider::SchedUlMacCtrlInfoReqParameters
      */
     void DoSchedUlMacCtrlInfoReq(
         const FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters& params);
 
     /**
-     * \brief Sched UL CQI info request function
-     * \param params FfMacCschedSapProvider::SchedUlCqiInfoReqParameters
+     * @brief Sched UL CQI info request function
+     * @param params FfMacCschedSapProvider::SchedUlCqiInfoReqParameters
      */
     void DoSchedUlCqiInfoReq(const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params);
 
     /**
-     * \brief Get RBG size function
-     * \param dlbandwidth the DL bandwidth
-     * \returns the RBG size
+     * @brief Get RBG size function
+     * @param dlbandwidth the DL bandwidth
+     * @returns the RBG size
      */
     int GetRbgSize(int dlbandwidth);
 
     /**
-     * \brief LC active per flow function
-     * \param rnti the RNTI
-     * \returns the LC active per flow
+     * @brief LC active per flow function
+     * @param rnti the RNTI
+     * @returns the LC active per flow
      */
     unsigned int LcActivePerFlow(uint16_t rnti);
 
     /**
-     * \brief Estimate UL SINR function
-     * \param rnti the RNTI
-     * \param rb the RB
-     * \returns the SINR
+     * @brief Estimate UL SINR function
+     * @param rnti the RNTI
+     * @param rb the RB
+     * @returns the SINR
      */
     double EstimateUlSinr(uint16_t rnti, uint16_t rb);
 
@@ -216,37 +216,37 @@
     void RefreshUlCqiMaps();
 
     /**
-     * \brief Update DL RLC buffer info function
-     * \param rnti the RNTI
-     * \param lcid the LCID
-     * \param size the size
+     * @brief Update DL RLC buffer info function
+     * @param rnti the RNTI
+     * @param lcid the LCID
+     * @param size the size
      */
     void UpdateDlRlcBufferInfo(uint16_t rnti, uint8_t lcid, uint16_t size);
     /**
-     * \brief Update DL RLC buffer info function
-     * \param rnti the RNTI
-     * \param size the size
+     * @brief Update DL RLC buffer info function
+     * @param rnti the RNTI
+     * @param size the size
      */
     void UpdateUlRlcBufferInfo(uint16_t rnti, uint16_t size);
 
     /**
-     * \brief Update and return a new process Id for the RNTI specified
+     * @brief Update and return a new process Id for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * @param rnti the RNTI of the UE to be updated
+     * @return the process id  value
      */
     uint8_t UpdateHarqProcessId(uint16_t rnti);
 
     /**
-     * \brief Return the availability of free process for the RNTI specified
+     * @brief Return the availability of free process for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the availability
+     * @param rnti the RNTI of the UE to be updated
+     * @return the availability
      */
     bool HarqProcessAvailability(uint16_t rnti);
 
     /**
-     * \brief Refresh HARQ processes according to the timers
+     * @brief Refresh HARQ processes according to the timers
      *
      */
     void RefreshHarqProcesses();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/epc-test-gtpu.h ns-3.44/src/lte/test/epc-test-gtpu.h
--- ns-3.43/src/lte/test/epc-test-gtpu.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/epc-test-gtpu.h	2025-03-09 16:55:49.607372000 -0700
@@ -15,15 +15,15 @@
 using namespace ns3;
 
 /**
- * \ingroup lte
- * \ingroup tests
- * \defgroup lte-test lte module tests
+ * @ingroup lte
+ * @ingroup tests
+ * @defgroup lte-test lte module tests
  */
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for testing GPRS tunnelling protocol header coding and decoding.
+ * @brief Test suite for testing GPRS tunnelling protocol header coding and decoding.
  */
 class EpsGtpuTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/epc-test-s1u-downlink.cc ns-3.44/src/lte/test/epc-test-s1u-downlink.cc
--- ns-3.43/src/lte/test/epc-test-s1u-downlink.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/epc-test-s1u-downlink.cc	2025-03-09 16:55:49.607372000 -0700
@@ -16,6 +16,8 @@
 #include "ns3/inet-socket-address.h"
 #include "ns3/internet-stack-helper.h"
 #include "ns3/ipv4-address-helper.h"
+#include "ns3/ipv4-static-routing-helper.h"
+#include "ns3/ipv4-static-routing.h"
 #include "ns3/log.h"
 #include "ns3/packet-sink-helper.h"
 #include "ns3/packet-sink.h"
@@ -25,25 +27,23 @@
 #include "ns3/test.h"
 #include "ns3/udp-echo-helper.h"
 #include "ns3/uinteger.h"
-#include <ns3/ipv4-static-routing-helper.h>
-#include <ns3/ipv4-static-routing.h>
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("EpcTestS1uDownlink");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Custom structure for testing UE downlink data
+ * @brief Custom structure for testing UE downlink data
  */
 struct UeDlTestData
 {
     /**
      * Constructor
      *
-     * \param n number of packets
-     * \param s packet size
+     * @param n number of packets
+     * @param s packet size
      */
     UeDlTestData(uint32_t n, uint32_t s);
 
@@ -61,9 +61,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Custom structure for testing eNodeB downlink data, contains
+ * @brief Custom structure for testing eNodeB downlink data, contains
  * the list of data structures for UEs
  */
 struct EnbDlTestData
@@ -72,9 +72,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief EpcS1uDlTestCase class
+ * @brief EpcS1uDlTestCase class
  */
 class EpcS1uDlTestCase : public TestCase
 {
@@ -82,8 +82,8 @@
     /**
      * Constructor
      *
-     * \param name the name of the test case instance
-     * \param v list of eNodeB downlink test data information
+     * @param name the name of the test case instance
+     * @param v list of eNodeB downlink test data information
      */
     EpcS1uDlTestCase(std::string name, std::vector<EnbDlTestData> v);
     ~EpcS1uDlTestCase() override;
@@ -202,8 +202,8 @@
             PacketSinkHelper packetSinkHelper("ns3::UdpSocketFactory",
                                               InetSocketAddress(Ipv4Address::GetAny(), port));
             ApplicationContainer apps = packetSinkHelper.Install(ue);
-            apps.Start(Seconds(1.0));
-            apps.Stop(Seconds(10.0));
+            apps.Start(Seconds(1));
+            apps.Stop(Seconds(10));
             enbit->ues[u].serverApp = apps.Get(0)->GetObject<PacketSink>();
 
             Time interPacketInterval = Seconds(0.01);
@@ -212,8 +212,8 @@
             client.SetAttribute("Interval", TimeValue(interPacketInterval));
             client.SetAttribute("PacketSize", UintegerValue(enbit->ues[u].pktSize));
             apps = client.Install(remoteHost);
-            apps.Start(Seconds(2.0));
-            apps.Stop(Seconds(10.0));
+            apps.Start(Seconds(2));
+            apps.Stop(Seconds(10));
             enbit->ues[u].clientApp = apps.Get(0);
 
             uint64_t imsi = ++imsiCounter;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/epc-test-s1u-uplink.cc ns-3.44/src/lte/test/epc-test-s1u-uplink.cc
--- ns-3.43/src/lte/test/epc-test-s1u-uplink.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/epc-test-s1u-uplink.cc	2025-03-09 16:55:49.607372000 -0700
@@ -21,7 +21,11 @@
 #include "ns3/inet-socket-address.h"
 #include "ns3/internet-stack-helper.h"
 #include "ns3/ipv4-address-helper.h"
+#include "ns3/ipv4-interface.h"
+#include "ns3/ipv4-static-routing-helper.h"
+#include "ns3/ipv4-static-routing.h"
 #include "ns3/log.h"
+#include "ns3/mac48-address.h"
 #include "ns3/packet-sink-helper.h"
 #include "ns3/packet-sink.h"
 #include "ns3/point-to-point-epc-helper.h"
@@ -30,17 +34,13 @@
 #include "ns3/simulator.h"
 #include "ns3/test.h"
 #include "ns3/uinteger.h"
-#include <ns3/ipv4-interface.h>
-#include <ns3/ipv4-static-routing-helper.h>
-#include <ns3/ipv4-static-routing.h>
-#include <ns3/mac48-address.h>
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("EpcTestS1uUplink");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
  * A Udp client. Sends UDP packet carrying sequence number and time
  * stamp but also including the EpsBearerTag. This tag is normally
@@ -54,8 +54,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -63,17 +63,17 @@
     /**
      * Constructor
      *
-     * \param rnti the RNTI
-     * \param bid the BID
+     * @param rnti the RNTI
+     * @param bid the BID
      */
     EpsBearerTagUdpClient(uint16_t rnti, uint8_t bid);
 
     ~EpsBearerTagUdpClient() override;
 
     /**
-     * \brief set the remote address and port
-     * \param ip remote IP address
-     * \param port remote port
+     * @brief set the remote address and port
+     * @param ip remote IP address
+     * @param port remote port
      */
     void SetRemote(Ipv4Address ip, uint16_t port);
 
@@ -85,8 +85,8 @@
     void StopApplication() override;
 
     /**
-     * \brief Schedule transmit function
-     * \param dt the delta time
+     * @brief Schedule transmit function
+     * @param dt the delta time
      */
     void ScheduleTransmit(Time dt);
     /// Send function
@@ -121,7 +121,7 @@
                 MakeUintegerChecker<uint32_t>())
             .AddAttribute("Interval",
                           "The time to wait between packets",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&EpsBearerTagUdpClient::m_interval),
                           MakeTimeChecker())
             .AddAttribute("RemoteAddress",
@@ -196,7 +196,7 @@
     }
 
     m_socket->SetRecvCallback(MakeNullCallback<void, Ptr<Socket>>());
-    m_sendEvent = Simulator::Schedule(Seconds(0.0), &EpsBearerTagUdpClient::Send, this);
+    m_sendEvent = Simulator::Schedule(Seconds(0), &EpsBearerTagUdpClient::Send, this);
 }
 
 void
@@ -237,19 +237,19 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Custom test structure to hold information of data transmitted in the uplink per UE
+ * @brief Custom test structure to hold information of data transmitted in the uplink per UE
  */
 struct UeUlTestData
 {
     /**
      * Constructor
      *
-     * \param n number of packets
-     * \param s packet size
-     * \param r the RNTI
-     * \param l the BID
+     * @param n number of packets
+     * @param s packet size
+     * @param r the RNTI
+     * @param l the BID
      */
     UeUlTestData(uint32_t n, uint32_t s, uint16_t r, uint8_t l);
 
@@ -271,9 +271,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Custom structure containing information about data sent in the uplink
+ * @brief Custom structure containing information about data sent in the uplink
  * of eNodeB. Includes the information of the data sent in the uplink per UE.
  */
 struct EnbUlTestData
@@ -282,9 +282,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief EpcS1uUlTestCase class
+ * @brief EpcS1uUlTestCase class
  */
 class EpcS1uUlTestCase : public TestCase
 {
@@ -292,8 +292,8 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param v the list of UE lists
+     * @param name the reference name
+     * @param v the list of UE lists
      */
     EpcS1uUlTestCase(std::string name, std::vector<EnbUlTestData> v);
     ~EpcS1uUlTestCase() override;
@@ -435,8 +435,8 @@
                 "ns3::UdpSocketFactory",
                 InetSocketAddress(Ipv4Address::GetAny(), udpSinkPort));
             ApplicationContainer sinkApp = packetSinkHelper.Install(remoteHost);
-            sinkApp.Start(Seconds(1.0));
-            sinkApp.Stop(Seconds(10.0));
+            sinkApp.Start(Seconds(1));
+            sinkApp.Stop(Seconds(10));
             enbit->ues[u].serverApp = sinkApp.Get(0)->GetObject<PacketSink>();
 
             Time interPacketInterval = Seconds(0.01);
@@ -451,8 +451,8 @@
             ue->AddApplication(client);
             ApplicationContainer clientApp;
             clientApp.Add(client);
-            clientApp.Start(Seconds(2.0));
-            clientApp.Stop(Seconds(10.0));
+            clientApp.Start(Seconds(2));
+            clientApp.Stop(Seconds(10));
             enbit->ues[u].clientApp = client;
 
             uint64_t imsi = ++imsiCounter;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-ffr-simple.cc ns-3.44/src/lte/test/lte-ffr-simple.cc
--- ns-3.43/src/lte/test/lte-ffr-simple.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/lte-ffr-simple.cc	2025-03-09 16:55:49.607372000 -0700
@@ -9,8 +9,8 @@
 
 #include "lte-ffr-simple.h"
 
+#include "ns3/log.h"
 #include "ns3/lte-rrc-sap.h"
-#include <ns3/log.h>
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-ffr-simple.h ns-3.44/src/lte/test/lte-ffr-simple.h
--- ns-3.43/src/lte/test/lte-ffr-simple.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/lte-ffr-simple.h	2025-03-09 16:55:49.607372000 -0700
@@ -10,11 +10,11 @@
 #ifndef LTE_FFR_SIMPLE_H
 #define LTE_FFR_SIMPLE_H
 
-#include <ns3/lte-ffr-algorithm.h>
-#include <ns3/lte-ffr-rrc-sap.h>
-#include <ns3/lte-ffr-sap.h>
-#include <ns3/lte-rrc-sap.h>
-#include <ns3/traced-callback.h>
+#include "ns3/lte-ffr-algorithm.h"
+#include "ns3/lte-ffr-rrc-sap.h"
+#include "ns3/lte-ffr-sap.h"
+#include "ns3/lte-rrc-sap.h"
+#include "ns3/traced-callback.h"
 
 #include <map>
 
@@ -22,9 +22,9 @@
 {
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Simple Frequency Reuse algorithm implementation which uses only 1 sub-band.
+ * @brief Simple Frequency Reuse algorithm implementation which uses only 1 sub-band.
  *                Used to test Downlink Power Allocation. When Simple FR receives UE measurements
  *                it immediately call functions to change PdschConfigDedicated (i.e. P_A) value for
  *                this UE.
@@ -33,34 +33,34 @@
 {
   public:
     /**
-     * \brief Creates a trivial ffr algorithm instance.
+     * @brief Creates a trivial ffr algorithm instance.
      */
     LteFfrSimple();
 
     ~LteFfrSimple() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Callback function that is used to be connected to trace ChangePdschConfigDedicated
-     * \param change trace fired upon change of PdschConfigDedicated if true
+     * @brief Callback function that is used to be connected to trace ChangePdschConfigDedicated
+     * @param change trace fired upon change of PdschConfigDedicated if true
      */
     void ChangePdschConfigDedicated(bool change);
     /**
-     * \brief Set PDSCH config dedicated function
-     * \param pdschConfigDedicated LteRrcSap::PdschConfigDedicated object
+     * @brief Set PDSCH config dedicated function
+     * @param pdschConfigDedicated LteRrcSap::PdschConfigDedicated object
      */
     void SetPdschConfigDedicated(LteRrcSap::PdschConfigDedicated pdschConfigDedicated);
 
     /**
-     * \brief Set transmission power control
-     * \param tpc TPC
-     * \param num number of TPC configurations in the test case
-     * \param accumulatedMode whether TPC accumulated mode is used
+     * @brief Set transmission power control
+     * @param tpc TPC
+     * @param num number of TPC configurations in the test case
+     * @param accumulatedMode whether TPC accumulated mode is used
      */
     void SetTpc(uint32_t tpc, uint32_t num, bool accumulatedMode);
 
@@ -79,8 +79,8 @@
     /**
      * TracedCallback signature for change of PdschConfigDedicated.
      *
-     * \param [in] rnti
-     * \param [in] pdschPa PdschConfiDedicated.pa
+     * @param [in] rnti
+     * @param [in] pdschPa PdschConfiDedicated.pa
      */
     typedef void (*PdschTracedCallback)(uint16_t rnti, uint8_t pdschPa);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-simple-helper.cc ns-3.44/src/lte/test/lte-simple-helper.cc
--- ns-3.43/src/lte/test/lte-simple-helper.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/lte-simple-helper.cc	2025-03-09 16:55:49.607372000 -0700
@@ -232,11 +232,11 @@
 /**
  * DL transmit PDU callback
  *
- * \param rlcStats the stats calculator
- * \param path
- * \param rnti the RNTI
- * \param lcid the LCID
- * \param packetSize the packet size
+ * @param rlcStats the stats calculator
+ * @param path
+ * @param rnti the RNTI
+ * @param lcid the LCID
+ * @param packetSize the packet size
  */
 void
 LteSimpleHelperDlTxPduCallback(Ptr<RadioBearerStatsCalculator> rlcStats,
@@ -254,12 +254,12 @@
 /**
  * DL receive PDU callback
  *
- * \param rlcStats the stats calculator
- * \param path
- * \param rnti the RNTI
- * \param lcid the LCID
- * \param packetSize the packet size
- * \param delay the delay
+ * @param rlcStats the stats calculator
+ * @param path
+ * @param rnti the RNTI
+ * @param lcid the LCID
+ * @param packetSize the packet size
+ * @param delay the delay
  */
 void
 LteSimpleHelperDlRxPduCallback(Ptr<RadioBearerStatsCalculator> rlcStats,
@@ -289,11 +289,11 @@
 /**
  * UL transmit PDU callback
  *
- * \param rlcStats the stats calculator
- * \param path
- * \param rnti the RNTI
- * \param lcid the LCID
- * \param packetSize the packet size
+ * @param rlcStats the stats calculator
+ * @param path
+ * @param rnti the RNTI
+ * @param lcid the LCID
+ * @param packetSize the packet size
  */
 void
 LteSimpleHelperUlTxPduCallback(Ptr<RadioBearerStatsCalculator> rlcStats,
@@ -311,12 +311,12 @@
 /**
  * UL receive PDU callback
  *
- * \param rlcStats the stats calculator
- * \param path
- * \param rnti the RNTI
- * \param lcid the LCID
- * \param packetSize the packet size
- * \param delay the delay
+ * @param rlcStats the stats calculator
+ * @param path
+ * @param rnti the RNTI
+ * @param lcid the LCID
+ * @param packetSize the packet size
+ * @param delay the delay
  */
 void
 LteSimpleHelperUlRxPduCallback(Ptr<RadioBearerStatsCalculator> rlcStats,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-simple-helper.h ns-3.44/src/lte/test/lte-simple-helper.h
--- ns-3.43/src/lte/test/lte-simple-helper.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/lte-simple-helper.h	2025-03-09 16:55:49.607372000 -0700
@@ -26,9 +26,9 @@
 class LteTestMac;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief A simplified version of LteHelper, that
+ * @brief A simplified version of LteHelper, that
  * is used for creation and configuration of LTE entities for testing purposes
  * when just a limited LteHelper functionality is wanted.
  *
@@ -40,8 +40,8 @@
     ~LteSimpleHelper() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     void DoDispose() override;
@@ -49,18 +49,18 @@
     /**
      * create a set of eNB devices
      *
-     * \param c the node container where the devices are to be installed
+     * @param c the node container where the devices are to be installed
      *
-     * \return the NetDeviceContainer with the newly created devices
+     * @return the NetDeviceContainer with the newly created devices
      */
     NetDeviceContainer InstallEnbDevice(NodeContainer c);
 
     /**
      * create a set of UE devices
      *
-     * \param c the node container where the devices are to be installed
+     * @param c the node container where the devices are to be installed
      *
-     * \return the NetDeviceContainer with the newly created devices
+     * @return the NetDeviceContainer with the newly created devices
      */
     NetDeviceContainer InstallUeDevice(NodeContainer c);
 
@@ -113,15 +113,15 @@
     /**
      * Install single ENB device
      *
-     * \param n the node
-     * \returns the device
+     * @param n the node
+     * @returns the device
      */
     Ptr<NetDevice> InstallSingleEnbDevice(Ptr<Node> n);
     /**
      * Install single UE device
      *
-     * \param n the node
-     * \returns the device
+     * @param n the node
+     * @returns the device
      */
     Ptr<NetDevice> InstallSingleUeDevice(Ptr<Node> n);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-simple-net-device.h ns-3.44/src/lte/test/lte-simple-net-device.h
--- ns-3.43/src/lte/test/lte-simple-net-device.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/lte-simple-net-device.h	2025-03-09 16:55:49.607372000 -0700
@@ -20,7 +20,7 @@
 {
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * The LteSimpleNetDevice class implements the LTE simple net device.
  * This class is used to provide a limited LteNetDevice functionalities that
  * are necessary for testing purposes.
@@ -29,8 +29,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -38,7 +38,7 @@
     /**
      * Constructor
      *
-     * \param node the Node
+     * @param node the Node
      */
     LteSimpleNetDevice(Ptr<Node> node);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-simple-spectrum-phy.cc ns-3.44/src/lte/test/lte-simple-spectrum-phy.cc
--- ns-3.43/src/lte/test/lte-simple-spectrum-phy.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/lte-simple-spectrum-phy.cc	2025-03-09 16:55:49.607372000 -0700
@@ -9,14 +9,14 @@
 
 #include "lte-simple-spectrum-phy.h"
 
+#include "ns3/antenna-model.h"
+#include "ns3/boolean.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
 #include "ns3/lte-net-device.h"
 #include "ns3/lte-phy-tag.h"
 #include "ns3/lte-spectrum-signal-parameters.h"
-#include <ns3/antenna-model.h>
-#include <ns3/boolean.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/simulator.h>
+#include "ns3/simulator.h"
 
 #include <cmath>
 
